# mapKeys | Welshman Docs
Documentation for Welshman Docs

# Function mapKeys

Creates new object with transformed keys

- mapKeys< T extends Record<string, any>>(f: (v: string) => string, x: T ): T

- #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - f: (v: string) => string

    Function to transform keys

  - x: T

    Source object

  #### Returns T

  Object with transformed keys

  - Defined in packages/lib/src/Tools.ts:197